Subject: bug#57112: 29.0.50; Observing Emacs crashes when switching to console and back to X

From: Po Lu <[email-masked]>
Date: Wed, 10 Aug 2022 20:14:27 +0800

Jean Louis <[email-masked]> writes:

> Crashes I have observed during the time when I switch from X to console
> by using C-M-Fx key, and then switching back. During that time when
> computer was in console, and it also went to sleep in memory as well,
> something happens and Emacs crashes.
>
> It is perfectly reproducible.
>
> 1. Open "emacs -Q". Press Ctrl-Alt-F2 if X is on console #1, to switch
>    to console #2
>
> 2. Switch back to console #1 or the console number where the X is
>    located.
>
> 3. Then I observe that I see Emacs windows just short time and they are
> crashing.

Please try a build after 28c01bd484, where I think this problem was
fixed.